import './blockquote.scss';
import {createElement} from "../../_global/scripts/helpers";

export const createBlockquote = ({
  quote = 'Ein Unternehmen zu gründen, ähnelt dem Kuchenbacken: Du brauchst alle nötigen Zutaten und jede einzelne davon in der genau passenden Menge.',
  author = 'Max Mustermann, Unternehmer',
  type = 'regular',
}) => {
  const blockquote = createElement('blockquote', ['variant-base']);
  blockquote.dataset.quoteType = type;
  if (typeof quote === 'string') {
    createElement('p', [], quote, blockquote);
  } else {
    quote.map((p) => {
      createElement('p', [], p, blockquote);
    })
  }
  createElement('p', ['author'], author, blockquote);
  return blockquote;
}